Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class MessageFactorySpi

    java.lang.Object
      cryptix.message.MessageFactorySpi

public abstract class MessageFactorySpi
extends java.lang.Object

Service provider interface for MessageFactory

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`MessageFactorySpi()`

Method Summary
`abstract Message` | `engineGenerateMessage(java.io.InputStream in)` Generates a messages from an input stream.
`abstract java.util.Collection` | `engineGenerateMessages(java.io.InputStream in)` Generates a (possible empty) collection of messages from an input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFactorySpi

    public MessageFactorySpi()

Method Detail

### engineGenerateMessages

    public abstract java.util.Collection engineGenerateMessages(java.io.InputStream in)
                                                         throws MessageException,
                                                                java.io.IOException

  Generates a (possible empty) collection of messages from an input stream.

  Note: the entire inputstream will be read when the inputstream does not support the mark() and reset() methods.

  Throws:
    `MessageException`
    `java.io.IOException`

### engineGenerateMessage

    public abstract Message engineGenerateMessage(java.io.InputStream in)
                                           throws MessageException,
                                                  java.io.IOException

  Generates a messages from an input stream.

  Note: the entire inputstream will be read when the inputstream does not support the mark() and reset() methods.

  Throws:
    `MessageException` - on a variety of format specific problems.
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.